Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLRenderer Class Reference

`#include <vtkOpenGLRenderer.h>`

Inheritance diagram for vtkOpenGLRenderer:

[legend]
Collaboration diagram for vtkOpenGLRenderer:

[legend]
List of all members.

## Detailed Description

OpenGL renderer.

Date:
  2002/08/22 19:27:36

Revision:
  1.29

vtkOpenGLRenderer is a concrete implementation of the abstract class vtkRenderer. vtkOpenGLRenderer interfaces to the OpenGL graphics library.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (51%)
  - Hoffman, Bill (18%)
  - Avila, Lisa (12%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLRenderer.h)`
  - .`cxx` (`/Rendering/vtkOpenGLRenderer.cxx)`

Definition at line 44 of file vtkOpenGLRenderer.h.

## Public Types
typedef vtkRenderer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | DeviceRender (void)
void | ClearLights (void)
void | Clear (void)
int | UpdateLights (void)
## Static Public Methods
vtkOpenGLRenderer * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLRenderer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLRenderer ()
| ~vtkOpenGLRenderer ()
virtual void | DevicePickRender ()
virtual void | StartPick (unsigned int pickFromSize)
virtual void | UpdatePickId ()
virtual void | DonePick ()
virtual unsigned int | GetPickedId ()
virtual float | GetPickedZ ()
## Protected Attributes
int | NumberOfLightsBound
vtkGLPickInfo * | PickInfo
float | PickedZ

## Member Typedef Documentation

typedef vtkRenderer vtkOpenGLRenderer::Superclass

| Reimplemented from vtkRenderer. Definition at line 51 of file vtkOpenGLRenderer.h.

## Constructor & Destructor Documentation

vtkOpenGLRenderer::vtkOpenGLRenderer | ( |  | ) | `[protected]`

vtkOpenGLRenderer::~vtkOpenGLRenderer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOpenGLRenderer* vtkOpenGLRenderer::New | ( |  | ) | `[static]`

| Create a vtkRenderer with a black background, a white ambient light, two-sided lighting turned on, a viewport of (0,0,1,1), and backface culling turned off. Reimplemented from vtkRenderer.

virtual const char* vtkOpenGLRenderer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderer.

int vtkOpenGLRenderer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderer.

virtual int vtkOpenGLRenderer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderer.

vtkOpenGLRenderer* vtkOpenGLRenderer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderer.

void vtkOpenGLRenderer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderer.

void vtkOpenGLRenderer::DeviceRender | ( | void |  | ) | `[virtual]`

| Concrete open gl render method. Implements vtkRenderer.

void vtkOpenGLRenderer::ClearLights | ( | void |  | ) |

| Internal method temporarily removes lights before reloading them into graphics pipeline.

void vtkOpenGLRenderer::Clear | ( | void |  | ) | `[virtual]`

| Clear the image to the background color. Reimplemented from vtkRenderer.

int vtkOpenGLRenderer::UpdateLights | ( | void |  | ) | `[virtual]`

| Ask lights to load themselves into graphics pipeline. Reimplemented from vtkRenderer.

virtual void vtkOpenGLRenderer::DevicePickRender | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual void vtkOpenGLRenderer::StartPick | ( | unsigned int | pickFromSize | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual void vtkOpenGLRenderer::UpdatePickId | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual void vtkOpenGLRenderer::DonePick | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual unsigned int vtkOpenGLRenderer::GetPickedId | ( |  | ) | `[protected, virtual]`

| Implements vtkViewport.

virtual float vtkOpenGLRenderer::GetPickedZ | ( |  | ) | `[protected, virtual]`

| Return the Z value for the last picked Prop. Implements vtkViewport.

## Member Data Documentation

int vtkOpenGLRenderer::NumberOfLightsBound`[protected]`

| Definition at line 47 of file vtkOpenGLRenderer.h.

class vtkGLPickInfo* vtkOpenGLRenderer::PickInfo`[protected]`

| Definition at line 79 of file vtkOpenGLRenderer.h.

float vtkOpenGLRenderer::PickedZ`[protected]`

| Definition at line 81 of file vtkOpenGLRenderer.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLRenderer.h